# Class TextSelection.Spans

java.lang.Object
com.codename1.ui.TextSelection.Spans

All Implemented Interfaces:
  `Iterable<TextSelection.Span>`

Enclosing class:
  `TextSelection`

public class TextSelection.Spans extends Object implements Iterable<TextSelection.Span>
Encapsulates a collection of Spans.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Spans()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(TextSelection.Span span)`
  Adds the given span to the collection, if it is non-empty.
  `void`
  `add(TextSelection.Spans spans)`
  Adds all of the non-empty spans in the given spans collection to the current spans collection.
  `TextSelection.Char`
  `charAt(int x, int y)`
  `void`
  `clear()`
  Removes all spans.
  `TextSelection.Span`
  `first()`
  Gets the first span in the collection.
  `TextSelection.Spans`
  `getIntersection(Rectangle bounds, boolean b)`
  `String`
  `getText()`
  Gets the text contained in this spans collection.
  `boolean`
  `isEmpty()`
  `Iterator<TextSelection.Span>`
  `iterator()`
  Returns an `Iterator` for the elements in this object.
  `TextSelection.Span`
  `last()`
  Gets the last span in the collection.
  `TextSelection.Span`
  `spanOfCharAt(int x, int y)`
  `String`
  `toString()`
  Returns a string representation of the object.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Spans

    public Spans()

- ## Method Details

  - ### iterator

    public Iterator<TextSelection.Span> iterator()
    Description copied from interface: `Iterable`

    Returns an `Iterator` for the elements in this object.

    ###### Returns

    An `Iterator` instance.

    Specified by:
      `iterator` in interface `Iterable<TextSelection.Span>`

  - ### add

    public void add(TextSelection.Spans spans)

    Adds all of the non-empty spans in the given spans collection to the current spans collection.

    ###### Parameters

    - `spans`

  - ### clear

    public void clear()
    Removes all spans.

  - ### add

    public void add(TextSelection.Span span)

    Adds the given span to the collection, if it is non-empty.

    ###### Parameters

    - `span`

  - ### first

    public TextSelection.Span first()
    Gets the first span in the collection.

  - ### last

    public TextSelection.Span last()
    Gets the last span in the collection.

  - ### getText

    public String getText()
    Gets the text contained in this spans collection.

  - ### toString

    public String toString()
    Description copied from class: `Object`
    Returns a string representation of the object. In general, the toString method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method. The toString method for class Object returns a string consisting of the name of the class of which the object is an instance, the at-sign character `@', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of: getClass().getName() + '@' + Integer.toHexString(hashCode())
    Overrides:
      `toString` in class `Object`

  - ### getIntersection

    public TextSelection.Spans getIntersection(Rectangle bounds, boolean b)

  - ### isEmpty

    public boolean isEmpty()

  - ### charAt

    public TextSelection.Char charAt(int x, int y)

  - ### spanOfCharAt

    public TextSelection.Span spanOfCharAt(int x, int y)